USN-6453-2

See a problem?
Source
https://ubuntu.com/security/notices/USN-6453-2
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6453-2.json
JSON Data
https://api.osv.dev/v1/vulns/USN-6453-2
Related
Published
2023-10-31T15:16:46.137896Z
Modified
2023-10-31T15:16:46.137896Z
Summary
xorg-server vulnerabilities
Details

USN-6453-1 fixed several vulnerabilities in X.Org. This update provides the corresponding update for Ubuntu 14.04 LTS, Ubuntu 16.04 LTS and Ubuntu 18.04 LTS.

Original advisory details:

Jan-Niklas Sohn discovered that the X.Org X Server incorrectly handled prepending values to certain properties. An attacker could possibly use this issue to cause the X Server to crash, execute arbitrary code, or escalate privileges. (CVE-2023-5367)

Sri discovered that the X.Org X Server incorrectly handled detroying windows in certain legacy multi-screen setups. An attacker could possibly use this issue to cause the X Server to crash, execute arbitrary code, or escalate privileges. (CVE-2023-5380)

References

Affected packages

Ubuntu:Pro:18.04:LTS / xorg-server

Package

Name
xorg-server

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:1.19.6-1ubuntu4.15+esm1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "xdmx-tools": "2:1.19.6-1ubuntu4.15+esm1",
            "xserver-xephyr": "2:1.19.6-1ubuntu4.15+esm1",
            "xvfb": "2:1.19.6-1ubuntu4.15+esm1",
            "xserver-xorg-legacy": "2:1.19.6-1ubuntu4.15+esm1",
            "xdmx": "2:1.19.6-1ubuntu4.15+esm1",
            "xmir": "2:1.19.6-1ubuntu4.15+esm1",
            "xserver-xorg-dev": "2:1.19.6-1ubuntu4.15+esm1",
            "xorg-server-source": "2:1.19.6-1ubuntu4.15+esm1",
            "xserver-xorg-core": "2:1.19.6-1ubuntu4.15+esm1",
            "xserver-common": "2:1.19.6-1ubuntu4.15+esm1",
            "xnest": "2:1.19.6-1ubuntu4.15+esm1",
            "xserver-xorg-xmir": "2:1.19.6-1ubuntu4.15+esm1",
            "xwayland": "2:1.19.6-1ubuntu4.15+esm1"
        }
    ]
}

Ubuntu:Pro:14.04:LTS / xorg-server

Package

Name
xorg-server

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:1.15.1-0ubuntu2.11+esm8

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "xdmx-tools": "2:1.15.1-0ubuntu2.11+esm8",
            "xvfb": "2:1.15.1-0ubuntu2.11+esm8",
            "xdmx": "2:1.15.1-0ubuntu2.11+esm8",
            "xserver-xorg-dev": "2:1.15.1-0ubuntu2.11+esm8",
            "xorg-server-source": "2:1.15.1-0ubuntu2.11+esm8",
            "xserver-xorg-core": "2:1.15.1-0ubuntu2.11+esm8",
            "xserver-common": "2:1.15.1-0ubuntu2.11+esm8",
            "xnest": "2:1.15.1-0ubuntu2.11+esm8",
            "xserver-xephyr": "2:1.15.1-0ubuntu2.11+esm8",
            "xserver-xorg-xmir": "2:1.15.1-0ubuntu2.11+esm8"
        }
    ]
}

Ubuntu:Pro:16.04:LTS / xorg-server

Package

Name
xorg-server

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:1.18.4-0ubuntu0.12+esm6

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "xdmx-tools": "2:1.18.4-0ubuntu0.12+esm6",
            "xserver-xephyr": "2:1.18.4-0ubuntu0.12+esm6",
            "xvfb": "2:1.18.4-0ubuntu0.12+esm6",
            "xserver-xorg-legacy": "2:1.18.4-0ubuntu0.12+esm6",
            "xdmx": "2:1.18.4-0ubuntu0.12+esm6",
            "xmir": "2:1.18.4-0ubuntu0.12+esm6",
            "xserver-xorg-dev": "2:1.18.4-0ubuntu0.12+esm6",
            "xorg-server-source": "2:1.18.4-0ubuntu0.12+esm6",
            "xserver-xorg-core": "2:1.18.4-0ubuntu0.12+esm6",
            "xserver-common": "2:1.18.4-0ubuntu0.12+esm6",
            "xnest": "2:1.18.4-0ubuntu0.12+esm6",
            "xserver-xorg-xmir": "2:1.18.4-0ubuntu0.12+esm6",
            "xwayland": "2:1.18.4-0ubuntu0.12+esm6"
        }
    ]
}